#include "mainview.h"
#include "ui_mainview.h"

#include "mibittip.h"

#include <QDebug>

mainView::mainView(QWidget *parent)
    : QWidget(parent), ui(new Ui::mainView)
{
    ui->setupUi(this);

    tip1 = new MibitTip(ui->group1, ui->dtedit, "tip.svg" );
    tip2 = new MibitTip(ui->tab1, ui->edit1, "tip.svg" );
    tip3 = new MibitTip(ui->group3, ui->btnTest3, "tip.svg" );

    connect(ui->btnTest1, SIGNAL(clicked()), SLOT(showTip1()));
    connect(ui->btnTest2, SIGNAL(clicked()), SLOT(showTip2()));
    connect(ui->btnTest3, SIGNAL(clicked()), SLOT(showTip3()));

}

mainView::~mainView()
{
    delete ui;
}

void mainView::showTip1()
{
    tip1->showTip("This is a demo for the mibitTip class.. This seems ok.");
}

void mainView::showTip2()
{
    tip2->showTip("This is a demo for the mibitTip class.. This has a problem, not shown all the tip. We can see where it has more space, above or below.");
}

void mainView::showTip3()
{
    tip3->showTip("This is a demo for the mibitTip class.. This is the worst case, where is near the bottom... We can show it above the control");
}
